Package com.emc.documentum.rest.model

# Class Link

java.lang.Object
com.emc.documentum.rest.model.Link

public class Link extends Object
Model of link

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Link()`
  Constructor
  `Link(String rel, String href)`
  Constructor
  `Link(String rel, String href, boolean isTemplate)`
  Constructor
  `Link(String rel, String href, String title)`
  Constructor
  `Link(String rel, String href, String title, String type, boolean isTemplate)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getHref()`
  Get href
  `String`
  `getHreftemplate()`
  Get href template
  `String`
  `getRel()`
  Get relation
  `String`
  `getTitle()`
  Get title
  `String`
  `getType()`
  Get type
  `int`
  `hashCode()`
  `boolean`
  `isTemplate()`
  Check if it is href template
  `void`
  `setHref(String href)`
  Set href
  `void`
  `setTitle(String title)`
  Set title
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Link

    public Link()
    Constructor

  - ### Link

    public Link(String rel, String href)
    Constructor
    Parameters:
      `rel` - relation
      `href` - href

  - ### Link

    public Link(String rel, String href, boolean isTemplate)
    Constructor
    Parameters:
      `rel` - relation
      `href` - href
      `isTemplate` - href template or not

  - ### Link

    public Link(String rel, String href, String title)
    Constructor
    Parameters:
      `rel` - relation
      `href` - href
      `title` - title

  - ### Link

    public Link(String rel, String href, String title, String type, boolean isTemplate)
    Constructor
    Parameters:
      `rel` - relation
      `href` - href
      `title` - title
      `type` - link type
      `isTemplate` - href template or not

- ## Method Details

  - ### setHref

    public void setHref(String href)
    Set href
    Parameters:
      `href` - href to set

  - ### setTitle

    public void setTitle(String title)
    Set title
    Parameters:
      `title` - title to set

  - ### getRel

    public String getRel()
    Get relation
    Returns:
      relation

  - ### getHref

    public String getHref()
    Get href
    Returns:
      href

  - ### getTitle

    public String getTitle()
    Get title
    Returns:
      title

  - ### getType

    public String getType()
    Get type
    Returns:
      type

  - ### getHreftemplate

    public String getHreftemplate()
    Get href template
    Returns:
      href template

  - ### isTemplate

    public boolean isTemplate()
    Check if it is href template
    Returns:
      `true` if it is href template

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`